com.google.appengine.api.search.dev

## Class LocalSearchService

- java.lang.Object
- - AbstractLocalRpcService
  - - com.google.appengine.api.search.dev.LocalSearchService

-     @ServiceProvider(value=)
      public class LocalSearchService
      extends AbstractLocalRpcService

  A search service implementation when running appengine on a local machine.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `PACKAGE` The package name for this service.
    `static java.lang.String` | `SEARCH_LOG_LEVEL_PROPERTY` Init property that specifies the `Level` at which we log mail messages.
    `static java.lang.String` | `USE_DIRECTORY`
    `static java.lang.String` | `USE_RAM_DIRECTORY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LocalSearchService()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `SearchServicePb.DeleteDocumentResponse` | `deleteDocument(Status status, SearchServicePb.DeleteDocumentRequest req)`
    `java.lang.String` | `getPackage()`
    `SearchServicePb.IndexDocumentResponse` | `indexDocument(Status status, SearchServicePb.IndexDocumentRequest req)`
    `void` | `init(LocalServiceContext context, java.util.Map<java.lang.String,java.lang.String> properties)`
    `SearchServicePb.ListDocumentsResponse` | `listDocuments(Status status, SearchServicePb.ListDocumentsRequest req)`
    `SearchServicePb.ListIndexesResponse` | `listIndexes(Status status, SearchServicePb.ListIndexesRequest req)`
    `SearchServicePb.SearchResponse` | `search(Status status, SearchServicePb.SearchRequest req)`
    `void` | `start()`
    `void` | `stop()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### PACKAGE

          public static final java.lang.String PACKAGE

      The package name for this service.
      See Also:
        Constant Field Values

    - #### USE_RAM_DIRECTORY

          public static final java.lang.String USE_RAM_DIRECTORY

      See Also:
        Constant Field Values

    - #### USE_DIRECTORY

          public static final java.lang.String USE_DIRECTORY

      See Also:
        Constant Field Values

    - #### SEARCH_LOG_LEVEL_PROPERTY

          public static final java.lang.String SEARCH_LOG_LEVEL_PROPERTY

      Init property that specifies the `Level` at which we log mail messages. Value must be a string representation of a `Level` (calling `Level.parse(String)` with the value as the arg should return a valid instance).
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### LocalSearchService

          public LocalSearchService()

  - ### Method Detail

    - #### getPackage

          public java.lang.String getPackage()

    - #### init

          public void init(LocalServiceContext context,
                  java.util.Map<java.lang.String,java.lang.String> properties)

    - #### start

          public void start()

    - #### stop

          public void stop()

    - #### indexDocument

          public SearchServicePb.IndexDocumentResponse indexDocument(Status status,
                                                            SearchServicePb.IndexDocumentRequest req)

    - #### deleteDocument

          public SearchServicePb.DeleteDocumentResponse deleteDocument(Status status,
                                                              SearchServicePb.DeleteDocumentRequest req)

    - #### listIndexes

          public SearchServicePb.ListIndexesResponse listIndexes(Status status,
                                                        SearchServicePb.ListIndexesRequest req)

    - #### listDocuments

          public SearchServicePb.ListDocumentsResponse listDocuments(Status status,
                                                            SearchServicePb.ListDocumentsRequest req)

    - #### search

          public SearchServicePb.SearchResponse search(Status status,
                                              SearchServicePb.SearchRequest req)